<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 12/18/2008 *
 * ===================                          Last change: 12/19/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-network.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Generic (sponsor) network connection extension   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Allgemeine Werbenetzwerk-Erweiterung             *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * @TODO AbisZED: Which charset?                                        *
 * @TODO Ad-Magnet: Layer(klick?). Layerviews.Skybannerklick/-view,     *
 * @TODO Ad-Magnet: Banner-View, Textlink-Klick/-View. Page-Peel        *
 * @TODO ADCocktail: Traffic, BIDausKAS???                              *
 * @TODO Ads4.de: Traffic                                               *
 * @TODO Ads4Webbis: Traffic                                            *
 * @TODO Ads4World: Traffic                                             *
 * @TODO Affiliblatt: All except banner, do they really have UTF-8?     *
 * @TODO doubleads: Which charset?                                      *
 * @TODO Fusion-Ads: Has click/banner URL in API response, really UTF-8 *
 * @TODO GigaPromo: Traffic                                             *
 * @TODO GolloX: Which charset?                                         *
 * @TODO homeADS: Which charset?                                        *
 * @TODO Mega-Ad: Traffic                                               *
 * @TODO paid4ad: Which URLs for click and banner?                      *
 * @TODO secash: Traffic                                                *
 * @TODO ultraPROMO: Traffic                                            *
 * @TODO Der Werbepartner.cc: Has click/banner URL in API response      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Version number
setThisExtensionVersion('0.0');

// Version history array (add more with , '0.1.0' and so on)
setExtensionVersionHistory(array('0.0'));

// This extension is in development (non-productive)
enableExtensionProductive(false);

switch (getExtensionMode()) {
	case 'register': // Do stuff when installation is running (modules.php?module=admin is called)
		// Main table which hold
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_data`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_data` (
`network_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_short_name` VARCHAR(50) NOT NULL DEFAULT '',
`network_title` VARCHAR(255) NOT NULL DEFAULT '',
`network_reflink` VARCHAR(255) NOT NULL DEFAULT '',
`network_data_seperator` CHAR(4) NOT NULL DEFAULT '|',
`network_row_seperator` CHAR(4) NOT NULL DEFAULT '|',
`network_request_type` ENUM('GET','POST') NOT NULL DEFAULT 'GET',
`network_charset` VARCHAR(20) NOT NULL DEFAULT 'UTF-8',
UNIQUE (`network_short_name`),
PRIMARY KEY (`network_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Network data'");

		// Types the network provider is supporting (e.g. Forced-Banner and so on)
		// @TODO network_type_handle is an internal name and needs documentation
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_types`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_types` (
`network_type_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_handle` VARCHAR(255) NOT NULL DEFAULT '',
`network_type_api_url` VARCHAR(255) NOT NULL DEFAULT '',
`network_type_click_url` VARCHAR(255) NOT NULL DEFAULT '',
`network_type_banner_url` VARCHAR(255) NULL DEFAULT NULL,
UNIQUE `provider_type` (`network_id`,`network_type_handle`),
PRIMARY KEY (`network_type_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Types provideable by networks'");

		// HTTP parameters (names) for URLs
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_request_params`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_request_params` (
`network_param_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`request_param_key` VARCHAR(10) NOT NULL DEFAULT 'invalid',
`request_param_value` VARCHAR(10) NOT NULL DEFAULT 'invalid',
`request_param_default` VARCHAR(255) NULL DEFAULT NULL,
UNIQUE `provider_type_key` (`network_id`,`network_type_id`,`request_param_key`),
UNIQUE `provider_type_value` (`network_id`,`network_type_id`,`request_param_value`),
PRIMARY KEY (`network_param_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Request parameters for GET/POST request'");

		// Error status codes
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_type_codes`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_type_codes` (
`network_type_code_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_code_value` VARCHAR(50) NOT NULL DEFAULT '',
`network_type_code_type` VARCHAR(100) NOT NULL DEFAULT 'INVALID_TYPE',
UNIQUE `code_type` (`network_type_code_value`,`network_type_id`),
INDEX (`network_type_id`),
PRIMARY KEY (`network_type_code_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Error codes for all types'");

		// Code types (internal table)
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_codes`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_codes` (
`network_code_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_code` VARCHAR(100) NOT NULL DEFAULT 'INVALID_CODE',
UNIQUE (`network_code`),
PRIMARY KEY (`network_code_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Error types, generic data, DO NOT ALTER!'");

		// Valid translation keys (we hate hard-coded arrays, you see?)
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_translations`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_translations` (
`network_translate_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_translation` VARCHAR(100) NOT NULL DEFAULT '',
UNIQUE `type_trans` (`network_type_id`,`network_translation`),
PRIMARY KEY (`network_translate_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Translations for array keys, generic data, DO NOT ALTER!'");

		// Array-Element translation tables per type/provider
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_array_translation`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_array_translation` (
`network_translate_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_array_key` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 0,
`network_translation` VARCHAR(100) NOT NULL DEFAULT '',
UNIQUE `provider_type_key` (`network_id`,`network_type_id`,`network_array_key`),
UNIQUE `provider_type_trans` (`network_id`,`network_type_id`,`network_translation`),
PRIMARY KEY (`network_translate_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Cache for all queried APIs'");

		// Data from the webmaster (you!)
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_config`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_config` (
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_affiliate_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_api_password` VARCHAR(255) NOT NULL DEFAULT '',
`network_site_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_query_amount` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_active` ENUM('Y','N') NOT NULL DEFAULT 'Y',
UNIQUE `network_affiliate` (`network_id`,`network_affiliate_id`),
UNIQUE `affiliate_site` (`network_affiliate_id`,`network_site_id`),
PRIMARY KEY (`network_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Configuration data from the webmaster (you!)'");

		// Configuration data for e.g. reload-time
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_types_config`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_types_config` (
`network_data_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`max_reload_time` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`min_waiting_time` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`min_remain_clicks` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`min_payment` FLOAT(20,5) UNSIGNED NOT NULL DEFAULT 0.00000,
`allow_erotic` VARCHAR(10) NOT NULL DEFAULT '',
UNIQUE `provider_type` (`network_id`,`network_type_id`),
PRIMARY KEY (`network_data_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Configuration data for every type (e.g. reload-time)'");

		// Cache for queried APIs. Re-check depends on config
		// `network_cache_refresh` in seconds or if set to zero, full day
		// divided by query amount.
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_cache`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_cache` (
`network_cache_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_cache_data` MEDIUMBLOB,
`network_cache_timestamp` TIMESTAMP NOT NULL DEFAULT '0000-00-00 00:00',
UNIQUE `provider_type` (`network_id`,`network_type_id`),
PRIMARY KEY (`network_cache_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Cache for all queried APIs'");

		// Reload locks for several types
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_reloads`');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_network_reloads` (
`network_reload_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_reload_lock` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 0,
`network_inserted` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP(),
UNIQUE `provider_type` (`network_id`,`network_type_id`),
PRIMARY KEY (`network_reload_id`)
) TYPE={?_TABLE_TYPE?} COMMENT='Reload locks'");

		// Insert error code types
		// - Affiliate id or interface password wrong
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_codes` (`network_code`) VALUES ('AFF_ID_PASS_WRONG')");
		// - Webmaster's site id is not assigned (invalid, different affiliate id)
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_codes` (`network_code`) VALUES ('SITE_ID_NOT_ASSIGNED')");
		// - Webmaster's site id is locked
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_codes` (`network_code`) VALUES ('SITE_ID_LOCKED')");
		// - General error in interface data
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_codes` (`network_code`) VALUES ('INTERFACE_DATA_ERROR')");
		// - Request amount depleted
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_codes` (`network_code`) VALUES ('REQUESTS_DEPLETED')");
		// - No campaigns found for given criteria (but maybe there are with more widen criteria)
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_codes` (`network_code`) VALUES ('NO_CAMPAIGNS_FOUND')");
		// - No campaigns found with allowed interface output (but there are maybe non-interface campaigns)
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_codes` (`network_code`) VALUES ('NO_CAMPAIGNS_FOUND_INTERFACE')");
		// - Webmaster's site id is not unlocked for choosen type
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_codes` (`network_code`) VALUES ('SITE_ID_NOT_ALLOWED_TYPE')");
		// - Request parameters incomplete
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_codes` (`network_code`) VALUES ('REQUEST_PARAMS_INCOMPLETE')");

		// Sponsor networks
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_data` (`network_short_name`, `network_title`, `network_reflink`, `network_data_seperator`, `network_row_seperator`, `network_request_type`, `network_charset`) VALUES
('a3h', 'A3H', 'http://www.a3h.de?ref=1447', '|', '|', 'GET', 'WINDOWS-1252'),
('abiszed','AbisZED-Netz','http://abiszed-netz.de/index.php?ref=557', '|', '|', 'GET', 'WINDOWS-1252'),
('admagnet', 'AD-Magnet', 'http://www.ad-magnet.de/index.php?ref=495', '|', '|', 'GET', 'ISO-8859-1'),
('adcocktail', 'ADCocktail', 'http://www.adcocktail.com/?rid=2596', '|', '|', 'GET', 'WINDOWS-1252'),
('ads4', 'Ads4.de', 'http://www.ads4.de/?werber=Quix0r', '|', '|', 'GET', 'WINDOWS-1252'),
('ads4webbis', 'Ads4Webbis', 'http://www.ads4webbis.de?ref=835', '|', '|', 'GET', 'WINDOWS-1252'),
('ads4world', 'Ads4World', 'http://www.ads4world.de?ref=252', '|', '|', 'GET', 'WINDOWS-1252'),
('affiliblatt', 'Affiliblatt', 'http://www.Affiliblatt.de/?sid=MTAzNQ==&site=home', '|', '|', 'GET', 'UTF-8'),
('alster', 'Alster-Marketing', 'http://www.alstermarketing.de?ref=1851', '|', '|', 'GET', 'ISO-8859-16'),
('bonus', 'BonusSponsor', 'http://www.bonussponsor.de?ref=1286', '|', '|', 'GET', 'WINDOWS-1252'),
('fusion', 'Fusion-Ads', 'http://www.fusion-ads.de/?ref=84', '|', '|', 'GET', 'UTF-8'),
('gigapromo', 'GigaPromo', 'http://www.gigapromo.de/index.php?ref=953', '|', '|', 'GET', 'WINDOWS-1252'),
('make-euros', 'Make-Euros.de', 'http://www.make-euros.de?ref=1184', '|', '|', 'GET', 'ISO-8859-1'),
('megad', 'Mega-Ad', 'http://www.mega-ad.de/?ref=303', '|', '|', 'GET', 'WINDOWS-1252'),
('power-promo', 'Power-Promo', 'http://www.power-promo.de?ref=1231', '|', '|', 'GET', 'WINDOWS-1252'),
('secash', 'SeCash', 'http://www.secash.de?ref=758', '|', '|', 'GET', 'WINDOWS-1252'),
('werbepartnercc', 'Der Werbepartner.cc', 'http://www.werbepartner.cc/sponsor/?ref=696', '|', '|', 'GET', 'WINDOWS-1252'),
('yoomedia', 'Yoo!Media Solutions', 'http://www.yoomedia.de?ref=1715', '|', '|', 'GET', 'WINDOWS-1252')");

		// Network type handlers - A3H
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`,`network_type_handle`,`network_type_api_url`,`network_type_click_url`,`network_type_banner_url`) VALUES
(1, 1, 'banner', 'http://www.a3h.de/interface/out_banner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%'),
(2, 1, 'textlink', 'http://www.a3h.de/interface/out_textlink.php', 'http://www.a3h.de/textlinkklick.php?id=%CID%', NULL),
(3, 1, 'surfbar', 'http://www.a3h.de/interface/out_sbanner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%'),
(4, 1, 'focredbanner', 'http://www.a3h.de/interface/out_fbanner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%'),
(5, 1, 'textmail', 'http://www.a3h.de/interface/out_paidmail.php', 'http://www.a3h.de/emailf.php?id=%CID%', NULL),
(6, 1, 'layer', 'http://www.a3h.de/interface/out_layer.php', 'http://www.a3h.de/layer.php?id=%CID%', NULL),
(7, 1, 'popup', 'http://www.a3h.de/interface/out_popup.php', 'http://www.a3h.de/popup.php?id=%CID%', NULL),
(8, 1, 'popdown', 'http://www.a3h.de/interface/out_popdown.php', 'http://www.a3h.de/popdown.php?id=%CID%', NULL),
(9, 1, 'lead', 'http://www.a3h.de/interface/out_lead.php', 'http://www.a3h.de/lead.php?id=%CID%', NULL),
(10, 1, 'sale', 'http://www.a3h.de/interface/out_sale.php', 'http://www.a3h.de/sale.php?id=%CID%', NULL),
(11, 1, 'htmlmail', 'http://www.a3h.de/interface/out_paidmail.php', 'http://www.a3h.de/emailf.php?id=%CID%', NULL)");

		// Network type handlers - AbisZED-Netz

		// Network type handlers - Ad-Magnet

		// Network type handlers - AdCocktail
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(13, 4, 'focredbanner', 'http://www.adcocktail.com/sc/kas/kas_fk.php', 'http://fk.adcocktail.com/fk_k.php?uid=%UID%&wid=%CID%&wsid=%SID%', 'http://fk.adcocktail.com/fk_v.php?uid=%UID%&wid=%CID%&wsid=%SID%'),
(12, 4, 'textmail', 'http://www.adcocktail.com/sc/kas/kas_pm.php', 'http://pm.adcocktail.com/pm.php?uid=%UID%&wid=%CID%&wsid=%SID%', NULL)");

		// Network type handlers - Ads4
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(14, 5, 'focredbanner', 'http://www.ads4.de/interface/interface.php', 'http://www.ads4.de/forced_click.php?fb_id=%CID%&sid=%SID%', 'http://www.ads4.de/forced_view.php?fb_id=%CID%&sid=%SID%'),
(16, 5, 'htmlmail', 'http://www.ads4.de/interface/interface.php', 'http://www.ads4.de/paidmail_click.php?pm=%CID%&%sid=%SID%', NULL),
(15, 5, 'textmail', 'http://www.ads4.de/interface/interface.php', 'http://www.ads4.de/paidmail_click.php?pm=%CID%&%sid=%SID%', NULL)");

		// Network type handlers - Ads4Webbis
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(20, 6, 'banner_click', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4webbis.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%'),
(19, 6, 'banner_view', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4webbis.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(22, 6, 'button_view', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4webbis.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(17, 6, 'focredbanner', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4webbis.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(18, 6, 'forcedtextlink', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(24, 6, 'popup', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(21, 6, 'skybanner_view', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4webbis.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(23, 6, 'textlink_view', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(25, 6, 'textmail', 'http://www.ads4webbis.de/interface/', 'http://www.ads4webbis.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL)");

		// Network type handlers - Ads4World
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(29, 7, 'banner_click', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%'),
(28, 7, 'banner_view', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(31, 7, 'button_view', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(26, 7, 'focredbanner', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(27, 7, 'forcedtextlink', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(33, 7, 'popup', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(30, 7, 'skybanner_view', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(32, 7, 'textlink_view', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(34, 7, 'textmail', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL)");

		// Network type handlers - Affiliblatt

		// Network type handlers - Alster-Marketing
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(35, 9, 'banner_click', 'http://if.alstermarketing.de/interface/out_banner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%'),
(45, 9, 'banner_view', 'http://if.alstermarketing.de/interface/out_banner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%'),
(38, 9, 'focredbanner', 'http://if.alstermarketing.de/interface/out_fbanner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%'),
(48, 9, 'htmlmail', 'http://if.alstermarketing.de/interface/out_paidmail.php', 'http://www.alstermarketing.de/emailf.php?id=%CID%', NULL),
(40, 9, 'layer_click', 'http://if.alstermarketing.de/interface/out_layer.php', 'http://www.alstermarketing.de/layer.php?id=%CID%', NULL),
(49, 9, 'layer_view', 'http://if.alstermarketing.de/interface/out_layer.php', 'http://www.alstermarketing.de/layer.php?id=%CID%', NULL),
(43, 9, 'lead', 'http://if.alstermarketing.de/interface/out_lead.php', 'http://www.alstermarketing.de/lead.php?id=%CID%', NULL),
(42, 9, 'popdown', 'http://if.alstermarketing.de/interface/out_popdown.php', 'http://www.alstermarketing.de/popdown.php?id=%CID%', NULL),
(41, 9, 'popup', 'http://if.alstermarketing.de/interface/out_popup.php', 'http://www.alstermarketing.de/popup.php?id=%CID%', NULL),
(44, 9, 'sale', 'http://if.alstermarketing.de/interface/out_sale.php', 'http://www.alstermarketing.de/sale.php?id=%CID%', NULL),
(37, 9, 'surfbar_click', 'http://if.alstermarketing.de/interface/out_sbanner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%'),
(47, 9, 'surfbar_view', 'http://if.alstermarketing.de/interface/out_sbanner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%'),
(36, 9, 'textlink_click', 'http://if.alstermarketing.de/interface/out_textlink.php', 'http://www.alstermarketing.de/textlinkklick.php?id=%CID%', NULL),
(46, 9, 'textlink_view', 'http://if.alstermarketing.de/interface/out_textlink.php', 'http://www.alstermarketing.de/textlinkklick.php?id=%CID%', NULL),
(39, 9, 'textmail', 'http://if.alstermarketing.de/interface/out_paidmail.php', 'http://www.alstermarketing.de/emailf.php?id=%CID%', NULL)");

		// Network type handlers - BonusSponsor
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(50, 10, 'banner_click', 'http://www.bonussponsor.de/interface/out_banner.php', 'http://www.bonussponsor.de/bannerklf.php?id=%CID%', 'http://www.bonussponsor.de/banner.php?id=%CID%'),
(51, 10, 'banner_view', 'http://www.bonussponsor.de/interface/out_banner.php', 'http://www.bonussponsor.de/bannerklf.php?id=%CID%', 'http://www.bonussponsor.de/banner.php?id=%CID%'),
(54, 10, 'focredbanner', 'http://www.bonussponsor.de/interface/out_fbanner.php', 'http://www.bonussponsor.de/bannerklf.php?id=%CID%', 'http://www.bonussponsor.de/banner.php?id=%CID%'),
(56, 10, 'htmlmail', 'http://www.bonussponsor.de/interface/out_paidmail.php', 'http://www.bonussponsor.de/emailf.php?id=%CID%', NULL),
(57, 10, 'layer_click', 'http://www.bonussponsor.de/interface/out_layer.php', 'http://www.bonussponsor.de/layer.php?id=%CID%', NULL),
(58, 10, 'layer_view', 'http://www.bonussponsor.de/interface/out_layer.php', 'http://www.bonussponsor.de/layer.php?id=%CID%', NULL),
(61, 10, 'lead', 'http://www.bonussponsor.de/interface/out_lead.php', 'http://www.bonussponsor.de/lead.php?id=%CID%', NULL),
(60, 10, 'popdown', 'http://www.bonussponsor.de/interface/out_popdown.php', 'http://www.bonussponsor.de/popdown.php?id=%CID%', NULL),
(59, 10, 'popup', 'http://www.bonussponsor.de/interface/out_popup.php', 'http://www.bonussponsor.de/popup.php?id=%CID%', NULL),
(62, 10, 'sale', 'http://www.bonussponsor.de/interface/out_sale.php', 'http://www.bonussponsor.de/sale.php?id=%CID%', NULL),
(52, 10, 'textlink_click', 'http://www.bonussponsor.de/interface/out_textlink.php', 'http://www.bonussponsor.de/textlinkklick.php?id=%CID%', NULL),
(53, 10, 'textlink_view', 'http://www.bonussponsor.de/interface/out_textlink.php', 'http://www.bonussponsor.de/textlinkklick.php?id=%CID%', NULL),
(55, 10, 'textmail', 'http://www.bonussponsor.de/interface/out_paidmail.php', 'http://www.bonussponsor.de/emailf.php?id=%CID%', NULL)");

		// Network type handlers - Fusion-Ads

		// Network type handlers - GigaPromo
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(102, 12, 'banner_view', 'http://www.gigapromo.de/interface/output_viewbanner.php', 'http://www.gigapromo.de/view/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.gigapromo.de/view/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%'),
(104, 12, 'focredbanner', 'http://www.gigapromo.de/interface/output_forcedbanner.php', 'http://www.gigapromo.de/view/forcedclickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.gigapromo.de/view/forcedviewbanner.php?id=%UID%&bid=%CID%&aid=%SID%'),
(105, 12, 'forcedtextlink', 'http://www.gigapromo.de/interface/output_forcedtextlink.php', 'http://www.gigapromo.de/view/forcedclicktextlink.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(103, 12, 'layer_view', 'http://www.gigapromo.de/interface/output_layerviews.php', 'http://www.gigapromo.de/view/layer.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(108, 12, 'popdown', 'http://www.gigapromo.de/interface/output_popdown.php', 'http://www.gigapromo.de/view/popdown.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(107, 12, 'popup', 'http://www.gigapromo.de/interface/output_popup.php', 'http://www.gigapromo.de/view/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(106, 12, 'textmail', 'http://www.gigapromo.de/interface/output_paidmails.php', 'http://www.gigapromo.de/view/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL)");

		// Network type handlers - Make-Euros
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(63, 13, 'banner_click', 'http://www.make-euros.de/interface/out_banner.php', 'http://www.make-euros.de/bannerklf.php?id=%CID%', 'http://www.make-euros.de/banner.php?id=%CID%'),
(64, 13, 'banner_view', 'http://www.make-euros.de/interface/out_banner.php', 'http://www.make-euros.de/bannerklf.php?id=%CID%', 'http://www.make-euros.de/banner.php?id=%CID%'),
(68, 13, 'focredbanner', 'http://www.make-euros.de/interface/out_fbanner.php', 'http://www.make-euros.de/bannerklf.php?id=%CID%', 'http://www.make-euros.de/banner.php?id=%CID%'),
(71, 13, 'htmlmail', 'http://www.make-euros.de/interface/out_paidmail.php', 'http://www.make-euros.de/emailf.php?id=%CID%', NULL),
(72, 13, 'layer_click', 'http://www.make-euros.de/interface/out_layer.php', 'http://www.make-euros.de/layer.php?id=%CID%', NULL),
(73, 13, 'layer_view', 'http://www.make-euros.de/interface/out_layer.php', 'http://www.make-euros.de/layer.php?id=%CID%', NULL),
(76, 13, 'lead', 'http://www.make-euros.de/interface/out_lead.php', 'http://www.make-euros.de /lead.php?id=%CID%', NULL),
(75, 13, 'popdown', 'http://www.make-euros.de/interface/out_popdown.php', 'http://www.make-euros.de/popdown.php?id=%CID%', NULL),
(74, 13, 'popup', 'http://www.make-euros.de/interface/out_popup.php', 'http://www.make-euros.de/popup.php?id=%CID%', NULL),
(77, 13, 'sale', 'http://www.make-euros.de/interface/out_sale.php', 'http://www.make-euros.de /sale.php?id=%CID%', NULL),
(67, 13, 'surfbar_click', 'http://www.make-euros.de/interface/out_sbanner.php', 'http://www.make-euros.de/bannerklf.php?id=%CID%', 'http://www.make-euros.de/banner.php?id=%CID%'),
(69, 13, 'surfbar_view', 'http://www.make-euros.de/interface/out_sbanner.php', 'http://www.make-euros.de/bannerklf.php?id=%CID%', 'http://www.make-euros.de/banner.php?id=%CID%'),
(65, 13, 'textlink_click', 'http://www.make-euros.de/interface/out_textlink.php', 'http://www.make-euros.de/textlinkklick.php?id=%CID%', NULL),
(66, 13, 'textlink_view', 'http://www.make-euros.de/interface/out_textlink.php', 'http://www.make-euros.de/textlinkklick.php?id=%CID%', NULL),
(70, 13, 'textmail', 'http://www.make-euros.de/interface/out_paidmail.php', 'http://www.make-euros.de/emailf.php?id=%CID%', NULL)");

		// Network type handlers - Mega-Ad
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(112, 14, 'banner_click', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.mega-ad.de/codes/view.php?id=%UID%&bid=%CID%&aid=%SID%'),
(111, 14, 'banner_view', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.mega-ad.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(114, 14, 'button_view', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.mega-ad.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(109, 14, 'focredbanner', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.mega-ad.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(110, 14, 'forcedtextlink', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(116, 14, 'popup', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(113, 14, 'skybanner_view', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.mega-ad.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(115, 14, 'textlink_view', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(117, 14, 'textmail', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL)");

		// Network type handlers - Power-Promo
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(78, 15, 'banner_click', 'http://www.power-promo.de/interface/out_banner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%'),
(79, 15, 'banner_view', 'http://www.power-promo.de/interface/out_banner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%'),
(84, 15, 'focredbanner', 'http://www.power-promo.de/interface/out_fbanner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%'),
(86, 15, 'htmlmail', 'http://www.power-promo.de/interface/out_paidmail.php', 'http://www.power-promo.de/emailf.php?id=%CID%', NULL),
(87, 15, 'layer_click', 'http://www.power-promo.de/interface/out_layer.php', 'http://www.power-promo.de/layer.php?id=%CID%', NULL),
(88, 15, 'layer_view', 'http://www.power-promo.de/interface/out_layer.php', 'http://www.power-promo.de/layer.php?id=%CID%', NULL),
(91, 15, 'lead', 'http://www.power-promo.de/interface/out_lead.php', 'http://www.power-promo.de/lead.php?id=%CID%', NULL),
(90, 15, 'popdown', 'http://www.power-promo.de/interface/out_popdown.php', 'http://www.power-promo.de/popdown.php?id=%CID%', NULL),
(89, 15, 'popup', 'http://www.power-promo.de/interface/out_popup.php', 'http://www.power-promo.de/popup.php?id=%CID%', NULL),
(92, 15, 'sale', 'http://www.power-promo.de/interface/out_sale.php', 'http://www.power-promo.de/sale.php?id=%CID%', NULL),
(82, 15, 'surfbar_click', 'http://www.power-promo.de/interface/out_sbanner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%'),
(83, 15, 'surfbar_view', 'http://www.power-promo.de/interface/out_sbanner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%'),
(80, 15, 'textlink_click', 'http://www.power-promo.de/interface/out_textlink.php', 'http://www.power-promo.de/textlinkklick.php?id=%CID%', NULL),
(81, 15, 'textlink_view', 'http://www.power-promo.de/interface/out_textlink.php', 'http://www.power-promo.de/textlinkklick.php?id=%CID%', NULL),
(85, 15, 'textmail', 'http://www.power-promo.de/interface/out_paidmail.php', 'http://www.power-promo.de/emailf.php?id=%CID%', NULL)");

		// Network type handlers - SeCash
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(96, 16, 'banner_click', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.secash.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%'),
(95, 16, 'banner_view', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.secash.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(98, 16, 'button_view', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.secash.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(93, 16, 'focredbanner', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.secash.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(94, 16, 'forcedtextlink', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(100, 16, 'popup', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(97, 16, 'skybanner_view', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.secash.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(99, 16, 'textlink_view', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL),
(101, 16, 'textmail', 'http://www.secash.de/interface/', 'http://www.secash.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL)");

		// Network type handlers - Der Werbepartner.cc

		// Network type handlers - Yoo!Media

		// Request parameters per type handler - A3H
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(1, 1, 1, 'id', 'id', NULL),
(2, 1, 1, 'sid', 'sid', NULL),
(3, 1, 1, 'password', 'pw', NULL),
(4, 1, 1, 'reload', 'reload', NULL),
(5, 1, 1, 'reward', 'verguetung', NULL),
(6, 1, 1, 'min_stay', 'ma', NULL),
(7, 1, 1, 'type', 'typ', NULL),
(8, 1, 1, 'remain', 'uebrig', NULL),
(9, 1, 1, 'size', 'size', NULL),
(10, 1, 2, 'id', 'id', NULL),
(11, 1, 2, 'sid', 'sid', NULL),
(12, 1, 2, 'password', 'pw', NULL),
(13, 1, 2, 'reload', 'reload', NULL),
(14, 1, 2, 'reward', 'verguetung', NULL),
(15, 1, 2, 'remain', 'uebrig', NULL),
(16, 1, 3, 'id', 'id', NULL),
(17, 1, 3, 'sid', 'sid', NULL),
(18, 1, 3, 'password', 'pw', NULL),
(19, 1, 3, 'reload', 'reload', NULL),
(20, 1, 3, 'reward', 'verguetung', NULL),
(21, 1, 3, 'type', 'typ', NULL),
(22, 1, 3, 'remain', 'uebrig', NULL),
(23, 1, 3, 'size', 'size', NULL),
(24, 1, 4, 'id', 'id', NULL),
(25, 1, 4, 'sid', 'sid', NULL),
(26, 1, 4, 'password', 'pw', NULL),
(27, 1, 4, 'reload', 'reload', NULL),
(28, 1, 4, 'reward', 'verguetung', NULL),
(29, 1, 4, 'min_stay', 'ma', NULL),
(30, 1, 4, 'remain', 'uebrig', NULL),
(31, 1, 4, 'size', 'size', NULL),
(32, 1, 5, 'id', 'id', NULL),
(33, 1, 5, 'sid', 'sid', NULL),
(34, 1, 5, 'password', 'pw', NULL),
(35, 1, 5, 'reload', 'reload', NULL),
(36, 1, 5, 'reward', 'verguetung', NULL),
(37, 1, 5, 'min_stay', 'ma', NULL),
(38, 1, 5, 'type', 'typ', 'text'),
(39, 1, 5, 'remain', 'uebrig', NULL),
(40, 1, 11, 'id', 'id', NULL),
(41, 1, 11, 'sid', 'sid', NULL),
(42, 1, 11, 'password', 'pw', NULL),
(43, 1, 11, 'reload', 'reload', NULL),
(44, 1, 11, 'reward', 'verguetung', NULL),
(45, 1, 11, 'min_stay', 'ma', NULL),
(46, 1, 11, 'type', 'typ', 'html'),
(47, 1, 11, 'remain', 'uebrig', NULL),
(48, 1, 6, 'id', 'id', NULL),
(49, 1, 6, 'sid', 'sid', NULL),
(50, 1, 6, 'password', 'pw', NULL),
(51, 1, 6, 'reload', 'reload', NULL),
(52, 1, 6, 'reward', 'verguetung', NULL),
(53, 1, 6, 'type', 'typ', NULL),
(54, 1, 6, 'remain', 'uebrig', NULL),
(55, 1, 7, 'id', 'id', NULL),
(56, 1, 7, 'sid', 'sid', NULL),
(57, 1, 7, 'password', 'pw', NULL),
(58, 1, 7, 'reload', 'reload', NULL),
(59, 1, 7, 'reward', 'verguetung', NULL),
(60, 1, 7, 'min_stay', 'ma', NULL),
(61, 1, 7, 'remain', 'uebrig', NULL),
(62, 1, 8, 'id', 'id', NULL),
(63, 1, 8, 'sid', 'sid', NULL),
(64, 1, 8, 'password', 'pw', NULL),
(65, 1, 8, 'reload', 'reload', NULL),
(66, 1, 8, 'reward', 'verguetung', NULL),
(67, 1, 8, 'min_stay', 'ma', NULL),
(68, 1, 8, 'remain', 'uebrig', NULL),
(69, 1, 9, 'id', 'id', NULL),
(70, 1, 9, 'sid', 'sid', NULL),
(71, 1, 9, 'password', 'pw', NULL),
(72, 1, 9, 'reward', 'verguetung', NULL),
(73, 1, 9, 'remain', 'uebrig', NULL),
(74, 1, 10, 'id', 'id', NULL),
(75, 1, 10, 'sid', 'sid', NULL),
(76, 1, 10, 'password', 'pw', NULL),
(77, 1, 10, 'reward', 'verguetung', NULL),
(78, 1, 10, 'remain', 'uebrig', NULL)");

		// Request parameters per type handler - AbisZED-Netz

		// Request parameters per type handler - Ad-Magnet

		// Request parameters per type handler - AdCocktail

		// Request parameters per type handler - Ads4
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(79, 5, 14, 'id', 'id', NULL),
(80, 5, 14, 'password', 'pwd', NULL),
(81, 5, 14, 'currency', 'waehrung', NULL),
(82, 5, 14, 'extra', 'mediatype', 'forced_banner'),
(83, 5, 14, 'reward', 'verg', NULL),
(84, 5, 14, 'reload', 'reload', NULL),
(85, 5, 14, 'remain', 'uebrig', NULL),
(86, 5, 14, 'min_stay', 'ma', NULL),
(87, 5, 15, 'id', 'id', NULL),
(88, 5, 15, 'password', 'pwd', NULL),
(89, 5, 15, 'currency', 'waehrung', NULL),
(90, 5, 15, 'extra', 'mediatype', 'textmails'),
(91, 5, 15, 'reward', 'verg', NULL),
(92, 5, 15, 'reload', 'reload', NULL),
(93, 5, 15, 'remain', 'uebrig', NULL),
(94, 5, 15, 'min_stay', 'ma', NULL),
(95, 5, 16, 'id', 'id', NULL),
(96, 5, 16, 'password', 'pw', NULL),
(97, 5, 16, 'currency', 'waehrung', NULL),
(98, 5, 16, 'extra', 'mediatype', 'htmlmails'),
(99, 5, 16, 'reward', 'verg', NULL),
(100, 5, 16, 'reload', 'reload', NULL),
(101, 5, 16, 'remain', 'uebrig', NULL),
(102, 5, 16, 'min_stay', 'ma', NULL)");

		// Request parameters per type handler - Ads4Webbis
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(109, 6, 17, 'extra', 'typ', 'forcedbanner'),
(110, 6, 17, 'id', 'id', NULL),
(111, 6, 17, 'password', 'pw', NULL),
(113, 6, 17, 'reload', 'reload', NULL),
(112, 6, 17, 'remain', 'uebrig', NULL),
(114, 6, 17, 'reward', 'verguetung', NULL),
(115, 6, 18, 'extra', 'typ', 'forcedtextlink'),
(116, 6, 18, 'id', 'id', NULL),
(117, 6, 18, 'password', 'pw', NULL),
(119, 6, 18, 'reload', 'reload', NULL),
(118, 6, 18, 'remain', 'uebrig', NULL),
(120, 6, 18, 'reward', 'verguetung', NULL),
(121, 6, 19, 'extra', 'typ', 'bannerview'),
(122, 6, 19, 'id', 'id', NULL),
(123, 6, 19, 'password', 'pw', NULL),
(125, 6, 19, 'reload', 'reload', NULL),
(124, 6, 19, 'remain', 'uebrig', NULL),
(126, 6, 19, 'reward', 'verguetung', NULL),
(103, 6, 20, 'extra', 'typ', 'bannerklick'),
(104, 6, 20, 'id', 'id', NULL),
(105, 6, 20, 'password', 'pw', NULL),
(107, 6, 20, 'reload', 'reload', NULL),
(106, 6, 20, 'remain', 'uebrig', NULL),
(108, 6, 20, 'reward', 'verguetung', NULL),
(127, 6, 21, 'extra', 'typ', 'skybannerview'),
(128, 6, 21, 'id', 'id', NULL),
(129, 6, 21, 'password', 'pw', NULL),
(131, 6, 21, 'reload', 'reload', NULL),
(130, 6, 21, 'remain', 'uebrig', NULL),
(132, 6, 21, 'reward', 'verguetung', NULL),
(133, 6, 22, 'extra', 'typ', 'buttonview'),
(134, 6, 22, 'id', 'id', NULL),
(135, 6, 22, 'password', 'pw', NULL),
(137, 6, 22, 'reload', 'reload', NULL),
(136, 6, 22, 'remain', 'uebrig', NULL),
(138, 6, 22, 'reward', 'verguetung', NULL),
(139, 6, 23, 'extra', 'typ', 'textview'),
(140, 6, 23, 'id', 'id', NULL),
(141, 6, 23, 'password', 'pw', NULL),
(143, 6, 23, 'reload', 'reload', NULL),
(142, 6, 23, 'remain', 'uebrig', NULL),
(144, 6, 23, 'reward', 'verguetung', NULL),
(145, 6, 24, 'extra', 'typ', 'popup'),
(146, 6, 24, 'id', 'id', NULL),
(151, 6, 24, 'min_stay', 'ma', NULL),
(147, 6, 24, 'password', 'pw', NULL),
(149, 6, 24, 'reload', 'reload', NULL),
(148, 6, 24, 'remain', 'uebrig', NULL),
(150, 6, 24, 'reward', 'verguetung', NULL),
(152, 6, 25, 'extra', 'typ', 'paidmail'),
(153, 6, 25, 'id', 'id', NULL),
(158, 6, 25, 'min_stay', 'ma', NULL),
(154, 6, 25, 'password', 'pw', NULL),
(156, 6, 25, 'reload', 'reload', NULL),
(155, 6, 25, 'remain', 'uebrig', NULL),
(157, 6, 25, 'reward', 'verguetung', NULL)");

		// Request parameters per type handler - Ads4World
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(159, 7, 29, 'type', 'typ', 'bannerklick'),
(160, 7, 29, 'id', 'id', NULL),
(161, 7, 29, 'password', 'pw', NULL),
(162, 7, 29, 'remain', 'uebrig', NULL),
(163, 7, 29, 'reload', 'reload', NULL),
(164, 7, 29, 'reward', 'verguetung', NULL),
(165, 7, 28, 'type', 'typ', 'bannerview'),
(166, 7, 28, 'id', 'id', NULL),
(167, 7, 28, 'password', 'pw', NULL),
(168, 7, 28, 'remain', 'uebrig', NULL),
(169, 7, 28, 'reload', 'reload', NULL),
(170, 7, 28, 'reward', 'verguetung', NULL),
(171, 7, 31, 'type', 'typ', 'buttonview'),
(172, 7, 31, 'id', 'id', NULL),
(173, 7, 31, 'password', 'pw', NULL),
(174, 7, 31, 'remain', 'uebrig', NULL),
(175, 7, 31, 'reload', 'reload', NULL),
(176, 7, 31, 'reward', 'verguetung', NULL),
(177, 7, 26, 'type', 'typ', 'forcedbanner'),
(178, 7, 26, 'id', 'id', NULL),
(179, 7, 26, 'password', 'pw', NULL),
(180, 7, 26, 'remain', 'uebrig', NULL),
(181, 7, 26, 'reload', 'reload', NULL),
(182, 7, 26, 'reward', 'verguetung', NULL),
(183, 7, 27, 'type', 'typ', 'forcedtextlink'),
(184, 7, 27, 'id', 'id', NULL),
(185, 7, 27, 'password', 'pw', NULL),
(186, 7, 27, 'remain', 'uebrig', NULL),
(187, 7, 27, 'reload', 'reload', NULL),
(188, 7, 27, 'reward', 'verguetung', NULL),
(189, 7, 33, 'type', 'typ', 'popup'),
(190, 7, 33, 'id', 'id', NULL),
(191, 7, 33, 'password', 'pw', NULL),
(192, 7, 33, 'remain', 'uebrig', NULL),
(193, 7, 33, 'reload', 'reload', NULL),
(194, 7, 33, 'reward', 'verguetung', NULL),
(195, 7, 33, 'min_stay', 'ma', NULL),
(196, 7, 30, 'type', 'typ', 'skybannerview'),
(197, 7, 30, 'id', 'id', NULL),
(198, 7, 30, 'password', 'pw', NULL),
(199, 7, 30, 'remain', 'uebrig', NULL),
(200, 7, 30, 'reload', 'reload', NULL),
(201, 7, 30, 'reward', 'verguetung', NULL),
(202, 7, 32, 'type', 'typ', 'textview'),
(203, 7, 32, 'id', 'id', NULL),
(204, 7, 32, 'password', 'pw', NULL),
(205, 7, 32, 'remain', 'uebrig', NULL),
(206, 7, 32, 'reload', 'reload', NULL),
(207, 7, 32, 'reward', 'verguetung', NULL),
(208, 7, 34, 'type', 'typ', 'textmails'),
(209, 7, 34, 'id', 'id', NULL),
(210, 7, 34, 'password', 'pw', NULL),
(211, 7, 34, 'remain', 'uebrig', NULL),
(212, 7, 34, 'reload', 'reload', NULL),
(213, 7, 34, 'reward', 'verguetung', NULL),
(214, 7, 34, 'min_stay', 'ma', NULL)");

		// Request parameters per type handler - Affiliblatt

		// Request parameters per type handler - Alster-Marketing
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(215, 9, 35, 'id', 'id', NULL),
(216, 9, 35, 'sid', 'sid', NULL),
(217, 9, 35, 'password', 'pw', NULL),
(218, 9, 35, 'reward', 'verguetung', NULL),
(219, 9, 35, 'reload', 'reload', NULL),
(220, 9, 35, 'remain', 'uebrig', NULL),
(221, 9, 35, 'type', 'typ', 'klick'),
(222, 9, 35, 'size', 'size', NULL),
(223, 9, 45, 'id', 'id', NULL),
(224, 9, 45, 'sid', 'sid', NULL),
(225, 9, 45, 'password', 'pw', NULL),
(226, 9, 45, 'reward', 'verguetung', NULL),
(227, 9, 45, 'reload', 'reload', NULL),
(228, 9, 45, 'remain', 'uebrig', NULL),
(229, 9, 45, 'type', 'typ', 'view'),
(230, 9, 45, 'size', 'size', NULL),
(231, 9, 36, 'id', 'id', NULL),
(232, 9, 36, 'sid', 'sid', NULL),
(233, 9, 36, 'password', 'pw', NULL),
(234, 9, 36, 'reward', 'verguetung', NULL),
(235, 9, 36, 'reload', 'reload', NULL),
(236, 9, 36, 'remain', 'uebrig', NULL),
(237, 9, 36, 'type', 'typ', 'klick'),
(238, 9, 46, 'id', 'id', NULL),
(239, 9, 46, 'sid', 'sid', NULL),
(240, 9, 46, 'password', 'pw', NULL),
(241, 9, 46, 'reward', 'verguetung', NULL),
(242, 9, 46, 'reload', 'reload', NULL),
(243, 9, 46, 'remain', 'uebrig', NULL),
(244, 9, 46, 'type', 'typ', 'view'),
(245, 9, 37, 'id', 'id', NULL),
(246, 9, 37, 'sid', 'sid', NULL),
(247, 9, 37, 'password', 'pw', NULL),
(248, 9, 37, 'reward', 'verguetung', NULL),
(249, 9, 37, 'reload', 'reload', NULL),
(250, 9, 37, 'remain', 'uebrig', NULL),
(251, 9, 37, 'type', 'typ', 'klick'),
(252, 9, 37, 'size', 'size', NULL),
(253, 9, 47, 'id', 'id', NULL),
(254, 9, 47, 'sid', 'sid', NULL),
(255, 9, 47, 'password', 'pw', NULL),
(256, 9, 47, 'reward', 'verguetung', NULL),
(257, 9, 47, 'reload', 'reload', NULL),
(258, 9, 47, 'remain', 'uebrig', NULL),
(259, 9, 47, 'type', 'typ', 'view'),
(260, 9, 47, 'size', 'size', NULL),
(261, 9, 38, 'id', 'id', NULL),
(262, 9, 38, 'sid', 'sid', NULL),
(263, 9, 38, 'password', 'pw', NULL),
(264, 9, 38, 'reward', 'verguetung', NULL),
(265, 9, 38, 'reload', 'reload', NULL),
(266, 9, 38, 'remain', 'uebrig', NULL),
(267, 9, 38, 'size', 'size', NULL),
(268, 9, 38, 'min_stay', 'ma', NULL),
(269, 9, 39, 'id', 'id', NULL),
(270, 9, 39, 'sid', 'sid', NULL),
(271, 9, 39, 'password', 'pw', NULL),
(272, 9, 39, 'reward', 'verguetung', NULL),
(273, 9, 39, 'reload', 'reload', NULL),
(274, 9, 39, 'remain', 'uebrig', NULL),
(275, 9, 39, 'min_stay', 'ma', NULL),
(276, 9, 39, 'type', 'typ', 'text'),
(277, 9, 48, 'id', 'id', NULL),
(278, 9, 48, 'sid', 'sid', NULL),
(279, 9, 48, 'password', 'pw', NULL),
(280, 9, 48, 'reward', 'verguetung', NULL),
(281, 9, 48, 'reload', 'reload', NULL),
(282, 9, 48, 'remain', 'uebrig', NULL),
(283, 9, 48, 'min_stay', 'ma', NULL),
(284, 9, 48, 'type', 'typ', 'html'),
(285, 9, 40, 'id', 'id', NULL),
(286, 9, 40, 'sid', 'sid', NULL),
(287, 9, 40, 'password', 'pw', NULL),
(288, 9, 40, 'reward', 'verguetung', NULL),
(289, 9, 40, 'reload', 'reload', NULL),
(290, 9, 40, 'remain', 'uebrig', NULL),
(291, 9, 40, 'type', 'typ', 'klick'),
(292, 9, 49, 'id', 'id', NULL),
(293, 9, 49, 'sid', 'sid', NULL),
(294, 9, 49, 'password', 'pw', NULL),
(295, 9, 49, 'reward', 'verguetung', NULL),
(296, 9, 49, 'reload', 'reload', NULL),
(297, 9, 49, 'remain', 'uebrig', NULL),
(298, 9, 49, 'type', 'typ', 'view'),
(299, 9, 41, 'id', 'id', NULL),
(300, 9, 41, 'sid', 'sid', NULL),
(301, 9, 41, 'password', 'pw', NULL),
(302, 9, 41, 'reward', 'verguetung', NULL),
(303, 9, 41, 'reload', 'reload', NULL),
(304, 9, 41, 'remain', 'uebrig', NULL),
(305, 9, 41, 'min_stay', 'ma', NULL),
(306, 9, 42, 'id', 'id', NULL),
(307, 9, 42, 'sid', 'sid', NULL),
(308, 9, 42, 'password', 'pw', NULL),
(309, 9, 42, 'reward', 'verguetung', NULL),
(310, 9, 42, 'reload', 'reload', NULL),
(311, 9, 42, 'remain', 'uebrig', NULL),
(312, 9, 42, 'min_stay', 'ma', NULL),
(313, 9, 43, 'id', 'id', NULL),
(314, 9, 43, 'sid', 'sid', NULL),
(315, 9, 43, 'password', 'pw', NULL),
(316, 9, 43, 'reward', 'verguetung', NULL),
(317, 9, 43, 'remain', 'uebrig', NULL),
(318, 9, 44, 'id', 'id', NULL),
(319, 9, 44, 'sid', 'sid', NULL),
(320, 9, 44, 'password', 'pw', NULL),
(321, 9, 44, 'reward', 'verguetung', NULL),
(322, 9, 44, 'remain', 'uebrig', NULL)");

		// Request parameters per type handler - BonusSponsor
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(323, 10, 50, 'id', 'id', NULL),
(324, 10, 50, 'sid', 'sid', NULL),
(325, 10, 50, 'password', 'pw', NULL),
(326, 10, 50, 'reward', 'verguetung', NULL),
(327, 10, 50, 'reload', 'reload', NULL),
(328, 10, 50, 'remain', 'uebrig', NULL),
(329, 10, 50, 'type', 'typ', 'klick'),
(330, 10, 50, 'size', 'size', NULL),
(331, 10, 51, 'id', 'id', NULL),
(332, 10, 51, 'sid', 'sid', NULL),
(333, 10, 51, 'password', 'pw', NULL),
(334, 10, 51, 'reward', 'verguetung', NULL),
(335, 10, 51, 'reload', 'reload', NULL),
(336, 10, 51, 'remain', 'uebrig', NULL),
(337, 10, 51, 'type', 'typ', 'view'),
(338, 10, 51, 'size', 'size', NULL),
(339, 10, 52, 'id', 'id', NULL),
(340, 10, 52, 'sid', 'sid', NULL),
(341, 10, 52, 'password', 'pw', NULL),
(342, 10, 52, 'reward', 'verguetung', NULL),
(343, 10, 52, 'reload', 'reload', NULL),
(344, 10, 52, 'remain', 'uebrig', NULL),
(345, 10, 52, 'type', 'typ', 'klick'),
(346, 10, 53, 'id', 'id', NULL),
(347, 10, 53, 'sid', 'sid', NULL),
(348, 10, 53, 'password', 'pw', NULL),
(349, 10, 53, 'reward', 'verguetung', NULL),
(350, 10, 53, 'reload', 'reload', NULL),
(351, 10, 53, 'remain', 'uebrig', NULL),
(352, 10, 53, 'type', 'typ', 'view'),
(353, 10, 54, 'id', 'id', NULL),
(354, 10, 54, 'sid', 'sid', NULL),
(355, 10, 54, 'password', 'pw', NULL),
(356, 10, 54, 'reward', 'verguetung', NULL),
(357, 10, 54, 'reload', 'reload', NULL),
(358, 10, 54, 'remain', 'uebrig', NULL),
(359, 10, 54, 'size', 'size', NULL),
(360, 10, 54, 'min_stay', 'ma', NULL),
(361, 10, 55, 'id', 'id', NULL),
(362, 10, 55, 'sid', 'sid', NULL),
(363, 10, 55, 'password', 'pw', NULL),
(364, 10, 55, 'reward', 'verguetung', NULL),
(365, 10, 55, 'reload', 'reload', NULL),
(366, 10, 55, 'remain', 'uebrig', NULL),
(367, 10, 55, 'min_stay', 'ma', NULL),
(368, 10, 55, 'type', 'typ', 'text'),
(369, 10, 56, 'id', 'id', NULL),
(370, 10, 56, 'sid', 'sid', NULL),
(371, 10, 56, 'password', 'pw', NULL),
(372, 10, 56, 'reward', 'verguetung', NULL),
(373, 10, 56, 'reload', 'reload', NULL),
(374, 10, 56, 'remain', 'uebrig', NULL),
(375, 10, 56, 'min_stay', 'ma', NULL),
(376, 10, 56, 'type', 'typ', 'html'),
(377, 10, 57, 'id', 'id', NULL),
(378, 10, 57, 'sid', 'sid', NULL),
(379, 10, 57, 'password', 'pw', NULL),
(380, 10, 57, 'reward', 'verguetung', NULL),
(381, 10, 57, 'reload', 'reload', NULL),
(382, 10, 57, 'remain', 'uebrig', NULL),
(383, 10, 57, 'type', 'typ', 'klick'),
(384, 10, 58, 'id', 'id', NULL),
(385, 10, 58, 'sid', 'sid', NULL),
(386, 10, 58, 'password', 'pw', NULL),
(387, 10, 58, 'reward', 'verguetung', NULL),
(388, 10, 58, 'reload', 'reload', NULL),
(389, 10, 58, 'remain', 'uebrig', NULL),
(390, 10, 58, 'type', 'typ', 'view'),
(391, 10, 59, 'id', 'id', NULL),
(392, 10, 59, 'sid', 'sid', NULL),
(393, 10, 59, 'password', 'pw', NULL),
(394, 10, 59, 'reward', 'verguetung', NULL),
(395, 10, 59, 'reload', 'reload', NULL),
(396, 10, 59, 'remain', 'uebrig', NULL),
(397, 10, 59, 'min_stay', 'ma', NULL),
(398, 10, 60, 'id', 'id', NULL),
(399, 10, 60, 'sid', 'sid', NULL),
(400, 10, 60, 'password', 'pw', NULL),
(401, 10, 60, 'reward', 'verguetung', NULL),
(402, 10, 60, 'reload', 'reload', NULL),
(403, 10, 60, 'remain', 'uebrig', NULL),
(404, 10, 60, 'min_stay', 'ma', NULL),
(405, 10, 61, 'id', 'id', NULL),
(406, 10, 61, 'sid', 'sid', NULL),
(407, 10, 61, 'password', 'pw', NULL),
(408, 10, 61, 'reward', 'verguetung', NULL),
(409, 10, 61, 'remain', 'uebrig', NULL),
(410, 10, 62, 'id', 'id', NULL),
(411, 10, 62, 'sid', 'sid', NULL),
(412, 10, 62, 'password', 'pw', NULL),
(413, 10, 62, 'reward', 'verguetung', NULL),
(414, 10, 62, 'remain', 'uebrig', NULL)");

		// Request parameters per type handler - Fusion-Ads

		// Request parameters per type handler - GigapPromo
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(687, 12, 102, 'id', 'id', NULL),
(688, 12, 102, 'sid', 'aid', NULL),
(689, 12, 102, 'password', 'pw', NULL),
(690, 12, 102, 'reload', 'reload', NULL),
(691, 12, 102, 'reward', 'verguetung', NULL),
(692, 12, 102, 'remain', 'uebrig', NULL),
(693, 12, 102, 'size', 'typ', NULL),
(694, 12, 103, 'id', 'id', NULL),
(695, 12, 103, 'sid', 'aid', NULL),
(696, 12, 103, 'password', 'pw', NULL),
(697, 12, 103, 'reload', 'reload', NULL),
(698, 12, 103, 'reward', 'verguetung', NULL),
(699, 12, 103, 'remain', 'uebrig', NULL),
(700, 12, 104, 'id', 'id', NULL),
(701, 12, 104, 'sid', 'aid', NULL),
(702, 12, 104, 'password', 'pw', NULL),
(703, 12, 104, 'reload', 'reload', NULL),
(704, 12, 104, 'reward', 'verguetung', NULL),
(705, 12, 104, 'remain', 'uebrig', NULL),
(706, 12, 104, 'max_stay', 'ma', NULL),
(707, 12, 105, 'id', 'id', NULL),
(708, 12, 105, 'sid', 'aid', NULL),
(709, 12, 105, 'password', 'pw', NULL),
(710, 12, 105, 'reload', 'reload', NULL),
(711, 12, 105, 'reward', 'verguetung', NULL),
(712, 12, 105, 'remain', 'uebrig', NULL),
(713, 12, 105, 'max_stay', 'ma', NULL),
(714, 12, 106, 'id', 'id', NULL),
(715, 12, 106, 'sid', 'aid', NULL),
(716, 12, 106, 'password', 'pw', NULL),
(717, 12, 106, 'reload', 'reload', NULL),
(718, 12, 106, 'reward', 'verguetung', NULL),
(719, 12, 106, 'remain', 'uebrig', NULL),
(720, 12, 106, 'max_stay', 'ma', NULL),
(721, 12, 107, 'id', 'id', NULL),
(722, 12, 107, 'sid', 'aid', NULL),
(723, 12, 107, 'password', 'pw', NULL),
(724, 12, 107, 'reload', 'reload', NULL),
(725, 12, 107, 'reward', 'verguetung', NULL),
(726, 12, 107, 'remain', 'uebrig', NULL),
(727, 12, 107, 'max_stay', 'ma', NULL),
(728, 12, 108, 'id', 'id', NULL),
(729, 12, 108, 'sid', 'aid', NULL),
(730, 12, 108, 'password', 'pw', NULL),
(731, 12, 108, 'reload', 'reload', NULL),
(732, 12, 108, 'reward', 'verguetung', NULL),
(733, 12, 108, 'remain', 'uebrig', NULL),
(734, 12, 108, 'max_stay', 'ma', NULL)");

		// Request parameters per type handler - Make-Euros
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(415, 13, 63, 'id', 'id', NULL),
(416, 13, 63, 'sid', 'sid', NULL),
(417, 13, 63, 'password', 'pw', NULL),
(418, 13, 63, 'reward', 'verguetung', NULL),
(419, 13, 63, 'reload', 'reload', NULL),
(420, 13, 63, 'remain', 'uebrig', NULL),
(421, 13, 63, 'type', 'typ', 'klick'),
(422, 13, 63, 'size', 'size', NULL),
(423, 13, 64, 'id', 'id', NULL),
(424, 13, 64, 'sid', 'sid', NULL),
(425, 13, 64, 'password', 'pw', NULL),
(426, 13, 64, 'reward', 'verguetung', NULL),
(427, 13, 64, 'reload', 'reload', NULL),
(428, 13, 64, 'remain', 'uebrig', NULL),
(429, 13, 64, 'type', 'typ', 'view'),
(430, 13, 64, 'size', 'size', NULL),
(431, 13, 65, 'id', 'id', NULL),
(432, 13, 65, 'sid', 'sid', NULL),
(433, 13, 65, 'password', 'pw', NULL),
(434, 13, 65, 'reward', 'verguetung', NULL),
(435, 13, 65, 'reload', 'reload', NULL),
(436, 13, 65, 'remain', 'uebrig', NULL),
(437, 13, 65, 'type', 'typ', 'klick'),
(438, 13, 66, 'id', 'id', NULL),
(439, 13, 66, 'sid', 'sid', NULL),
(440, 13, 66, 'password', 'pw', NULL),
(441, 13, 66, 'reward', 'verguetung', NULL),
(442, 13, 66, 'reload', 'reload', NULL),
(443, 13, 66, 'remain', 'uebrig', NULL),
(444, 13, 66, 'type', 'typ', 'view'),
(445, 13, 67, 'id', 'id', NULL),
(446, 13, 67, 'sid', 'sid', NULL),
(447, 13, 67, 'password', 'pw', NULL),
(448, 13, 67, 'reward', 'verguetung', NULL),
(449, 13, 67, 'reload', 'reload', NULL),
(450, 13, 67, 'remain', 'uebrig', NULL),
(451, 13, 67, 'typ', 'typ', 'klick'),
(452, 13, 67, 'size', 'size', NULL),
(453, 13, 69, 'id', 'id', NULL),
(454, 13, 69, 'sid', 'sid', NULL),
(455, 13, 69, 'password', 'pw', NULL),
(456, 13, 69, 'reward', 'verguetung', NULL),
(457, 13, 69, 'reload', 'reload', NULL),
(458, 13, 69, 'remain', 'uebrig', NULL),
(459, 13, 69, 'type', 'typ', 'view'),
(460, 13, 69, 'size', 'size', NULL),
(461, 13, 68, 'id', 'id', NULL),
(462, 13, 68, 'sid', 'sid', NULL),
(463, 13, 68, 'password', 'pw', NULL),
(464, 13, 68, 'reward', 'verguetung', NULL),
(465, 13, 68, 'reload', 'reload', NULL),
(466, 13, 68, 'remain', 'uebrig', NULL),
(467, 13, 68, 'size', 'size', NULL),
(468, 13, 68, 'min_stay', 'ma', NULL),
(469, 13, 70, 'id', 'id', NULL),
(470, 13, 70, 'sid', 'sid', NULL),
(471, 13, 70, 'password', 'pw', NULL),
(472, 13, 70, 'reward', 'verguetung', NULL),
(473, 13, 70, 'reload', 'reload', NULL),
(474, 13, 70, 'remain', 'uebrig', NULL),
(475, 13, 70, 'min_stay', 'ma', NULL),
(476, 13, 70, 'type', 'typ', 'text'),
(477, 13, 71, 'id', 'id', NULL),
(478, 13, 71, 'sid', 'sid', NULL),
(479, 13, 71, 'password', 'pw', NULL),
(480, 13, 71, 'reward', 'verguetung', NULL),
(481, 13, 71, 'reload', 'reload', NULL),
(482, 13, 71, 'remain', 'uebrig', NULL),
(483, 13, 71, 'min_stay', 'ma', NULL),
(484, 13, 71, 'type', 'typ', 'html'),
(485, 13, 72, 'id', 'id', NULL),
(486, 13, 72, 'sid', 'sid', NULL),
(487, 13, 72, 'password', 'pw', NULL),
(488, 13, 72, 'reward', 'verguetung', NULL),
(489, 13, 72, 'reload', 'reload', NULL),
(490, 13, 72, 'remain', 'uebrig', NULL),
(491, 13, 72, 'type', 'typ', 'klick'),
(492, 13, 73, 'id', 'id', NULL),
(493, 13, 73, 'sid', 'sid', NULL),
(494, 13, 73, 'password', 'pw', NULL),
(495, 13, 73, 'reward', 'verguetung', NULL),
(496, 13, 73, 'reload', 'reload', NULL),
(497, 13, 73, 'remain', 'uebrig', NULL),
(498, 13, 73, 'type', 'typ', 'view'),
(499, 13, 74, 'id', 'id', NULL),
(500, 13, 74, 'sid', 'sid', NULL),
(501, 13, 74, 'password', 'pw', NULL),
(502, 13, 74, 'reward', 'verguetung', NULL),
(503, 13, 74, 'reload', 'reload', NULL),
(504, 13, 74, 'remain', 'uebrig', NULL),
(505, 13, 74, 'min_stay', 'ma', NULL),
(506, 13, 75, 'id', 'id', NULL),
(507, 13, 75, 'sid', 'sid', NULL),
(508, 13, 75, 'password', 'pw', NULL),
(509, 13, 75, 'reward', 'verguetung', NULL),
(510, 13, 75, 'reload', 'reload', NULL),
(511, 13, 75, 'remain', 'uebrig', NULL),
(512, 13, 75, 'min_stay', 'ma', NULL),
(513, 13, 76, 'id', 'id', NULL),
(514, 13, 76, 'sid', 'sid', NULL),
(515, 13, 76, 'password', 'pw', NULL),
(516, 13, 76, 'reward', 'verguetung', NULL),
(517, 13, 76, 'remain', 'uebrig', NULL),
(518, 13, 77, 'id', 'id', NULL),
(519, 13, 77, 'sid', 'sid', NULL),
(520, 13, 77, 'password', 'pw', NULL),
(521, 13, 77, 'reward', 'verguetung', NULL),
(522, 13, 77, 'remain', 'uebrig', NULL)");

		// Request parameters per type handler - Mega-Ad
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(735, 14, 109, 'type', 'typ', 'forcedbanner'),
(736, 14, 109, 'id', 'id', NULL),
(737, 14, 109, 'password', 'pw', NULL),
(738, 14, 109, 'remain', 'uebrig', NULL),
(739, 14, 109, 'reload', 'reload', NULL),
(740, 14, 109, 'reward', 'verguetung', NULL),
(741, 14, 110, 'type', 'typ', 'forcedtextlink'),
(742, 14, 110, 'id', 'id', NULL),
(743, 14, 110, 'password', 'pw', NULL),
(744, 14, 110, 'remain', 'uebrig', NULL),
(745, 14, 110, 'reload', 'reload', NULL),
(746, 14, 110, 'reward', 'verguetung', NULL),
(747, 14, 111, 'type', 'typ', 'bannerview'),
(748, 14, 111, 'id', 'id', NULL),
(749, 14, 111, 'password', 'pw', NULL),
(750, 14, 111, 'remain', 'uebrig', NULL),
(751, 14, 111, 'reload', 'reload', NULL),
(752, 14, 111, 'reward', 'verguetung', NULL),
(753, 14, 112, 'type', 'typ', 'bannerklick'),
(754, 14, 112, 'id', 'id', NULL),
(755, 14, 112, 'password', 'pw', NULL),
(756, 14, 112, 'remain', 'uebrig', NULL),
(757, 14, 112, 'reload', 'reload', NULL),
(758, 14, 112, 'reward', 'verguetung', NULL),
(759, 14, 113, 'type', 'typ', 'skybannerview'),
(760, 14, 113, 'id', 'id', NULL),
(761, 14, 113, 'password', 'pw', NULL),
(762, 14, 113, 'remain', 'uebrig', NULL),
(763, 14, 113, 'reload', 'reload', NULL),
(764, 14, 113, 'reward', 'verguetung', NULL),
(765, 14, 114, 'type', 'typ', 'buttonview'),
(766, 14, 114, 'id', 'id', NULL),
(767, 14, 114, 'password', 'pw', NULL),
(768, 14, 114, 'remain', 'uebrig', NULL),
(769, 14, 114, 'reload', 'reload', NULL),
(770, 14, 114, 'reward', 'verguetung', NULL),
(771, 14, 115, 'type', 'typ', 'textview'),
(772, 14, 115, 'id', 'id', NULL),
(773, 14, 115, 'password', 'pw', NULL),
(774, 14, 115, 'remain', 'uebrig', NULL),
(775, 14, 115, 'reload', 'reload', NULL),
(776, 14, 115, 'reward', 'verguetung', NULL),
(777, 14, 116, 'type', 'typ', 'popup'),
(778, 14, 116, 'id', 'id', NULL),
(779, 14, 116, 'password', 'pw', NULL),
(780, 14, 116, 'reload', 'reload', NULL),
(781, 14, 116, 'remain', 'uebrig', NULL),
(782, 14, 116, 'reward', 'verguetung', NULL),
(783, 14, 117, 'type', 'typ', 'paidmail'),
(784, 14, 117, 'id', 'id', NULL),
(785, 14, 117, 'password', 'pw', NULL),
(786, 14, 117, 'reload', 'reload', NULL),
(787, 14, 117, 'remain', 'uebrig', NULL),
(788, 14, 117, 'reward', 'verguetung', NULL)");

		// Request parameters per type handler - Power-Promo
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(523, 15, 78, 'id', 'id', NULL),
(524, 15, 78, 'sid', 'sid', NULL),
(525, 15, 78, 'password', 'pw', NULL),
(526, 15, 78, 'reward', 'verguetung', NULL),
(527, 15, 78, 'reload', 'reload', NULL),
(528, 15, 78, 'remain', 'uebrig', NULL),
(529, 15, 78, 'type', 'typ', 'klick'),
(530, 15, 78, 'size', 'size', NULL),
(531, 15, 79, 'id', 'id', NULL),
(532, 15, 79, 'sid', 'sid', NULL),
(533, 15, 79, 'password', 'pw', NULL),
(534, 15, 79, 'reward', 'verguetung', NULL),
(535, 15, 79, 'reload', 'reload', NULL),
(536, 15, 79, 'remain', 'uebrig', NULL),
(537, 15, 79, 'type', 'typ', 'view'),
(538, 15, 79, 'size', 'size', NULL),
(539, 15, 80, 'id', 'id', NULL),
(540, 15, 80, 'sid', 'sid', NULL),
(541, 15, 80, 'password', 'pw', NULL),
(542, 15, 80, 'reward', 'verguetung', NULL),
(543, 15, 80, 'reload', 'reload', NULL),
(544, 15, 80, 'remain', 'uebrig', NULL),
(545, 15, 80, 'type', 'typ', 'klick'),
(546, 15, 81, 'id', 'id', NULL),
(547, 15, 81, 'sid', 'sid', NULL),
(548, 15, 81, 'password', 'pw', NULL),
(549, 15, 81, 'reward', 'verguetung', NULL),
(550, 15, 81, 'reload', 'reload', NULL),
(551, 15, 81, 'remain', 'uebrig', NULL),
(552, 15, 81, 'type', 'typ', 'view'),
(553, 15, 82, 'id', 'id', NULL),
(554, 15, 82, 'sid', 'sid', NULL),
(555, 15, 82, 'password', 'pw', NULL),
(556, 15, 82, 'reward', 'verguetung', NULL),
(557, 15, 82, 'reload', 'reload', NULL),
(558, 15, 82, 'remain', 'uebrig', NULL),
(559, 15, 82, 'type', 'typ', 'klick'),
(560, 15, 82, 'size', 'size', NULL),
(561, 15, 83, 'id', 'id', NULL),
(562, 15, 83, 'sid', 'sid', NULL),
(563, 15, 83, 'password', 'pw', NULL),
(564, 15, 83, 'reward', 'verguetung', NULL),
(565, 15, 83, 'reload', 'reload', NULL),
(566, 15, 83, 'remain', 'uebrig', NULL),
(567, 15, 83, 'type', 'typ', 'view'),
(568, 15, 83, 'size', 'size', NULL),
(569, 15, 84, 'id', 'id', NULL),
(570, 15, 84, 'sid', 'sid', NULL),
(571, 15, 84, 'password', 'pw', NULL),
(572, 15, 84, 'reward', 'verguetung', NULL),
(573, 15, 84, 'reload', 'reload', NULL),
(574, 15, 84, 'remain', 'uebrig', NULL),
(575, 15, 84, 'size', 'size', NULL),
(576, 15, 84, 'min_stay', 'ma', NULL),
(577, 15, 85, 'id', 'id', NULL),
(578, 15, 85, 'sid', 'sid', NULL),
(579, 15, 85, 'password', 'pw', NULL),
(580, 15, 85, 'reward', 'verguetung', NULL),
(581, 15, 85, 'reload', 'reload', NULL),
(582, 15, 85, 'remain', 'uebrig', NULL),
(583, 15, 85, 'min_stay', 'ma', NULL),
(584, 15, 85, 'type', 'typ', 'text'),
(585, 15, 86, 'id', 'id', NULL),
(586, 15, 86, 'sid', 'sid', NULL),
(587, 15, 86, 'password', 'pw', NULL),
(588, 15, 86, 'reward', 'verguetung', NULL),
(589, 15, 86, 'reload', 'reload', NULL),
(590, 15, 86, 'remain', 'uebrig', NULL),
(591, 15, 86, 'min_stay', 'ma', NULL),
(592, 15, 86, 'type', 'typ', 'html'),
(593, 15, 87, 'id', 'id', NULL),
(594, 15, 87, 'sid', 'sid', NULL),
(595, 15, 87, 'password', 'pw', NULL),
(596, 15, 87, 'reward', 'verguetung', NULL),
(597, 15, 87, 'reload', 'reload', NULL),
(598, 15, 87, 'remain', 'uebrig', NULL),
(599, 15, 87, 'type', 'typ', 'klick'),
(600, 15, 88, 'id', 'id', NULL),
(601, 15, 88, 'sid', 'sid', NULL),
(602, 15, 88, 'password', 'pw', NULL),
(603, 15, 88, 'reward', 'verguetung', NULL),
(604, 15, 88, 'reload', 'reload', NULL),
(605, 15, 88, 'remain', 'uebrig', NULL),
(606, 15, 88, 'type', 'typ', 'view'),
(607, 15, 89, 'id', 'id', NULL),
(608, 15, 89, 'sid', 'sid', NULL),
(609, 15, 89, 'password', 'pw', NULL),
(610, 15, 89, 'reward', 'verguetung', NULL),
(611, 15, 89, 'reload', 'reload', NULL),
(612, 15, 89, 'remain', 'uebrig', NULL),
(613, 15, 89, 'min_stay', 'ma', NULL),
(614, 15, 90, 'id', 'id', NULL),
(615, 15, 90, 'sid', 'sid', NULL),
(616, 15, 90, 'password', 'pw', NULL),
(617, 15, 90, 'reward', 'verguetung', NULL),
(618, 15, 90, 'reload', 'reload', NULL),
(619, 15, 90, 'remain', 'uebrig', NULL),
(620, 15, 90, 'min_stay', 'ma', NULL),
(621, 15, 91, 'id', 'id', NULL),
(622, 15, 91, 'sid', 'sid', NULL),
(623, 15, 91, 'password', 'pw', NULL),
(624, 15, 91, 'reward', 'verguetung', NULL),
(625, 15, 91, 'remain', 'uebrig', NULL),
(626, 15, 92, 'id', 'id', NULL),
(627, 15, 92, 'sid', 'sid', NULL),
(628, 15, 92, 'password', 'pw', NULL),
(629, 15, 92, 'reward', 'verguetung', NULL),
(630, 15, 92, 'remain', 'uebrig', NULL)");

		// Request parameters per type handler - SeCash
		addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_param_id`, `network_id`, `network_type_id`, `request_param_key`, `request_param_value`, `request_param_default`) VALUES
(631, 16, 93, 'type', 'typ', 'forcedbanner'),
(632, 16, 93, 'id', 'id', NULL),
(633, 16, 93, 'password', 'pw', NULL),
(634, 16, 93, 'reward', 'verguetung', NULL),
(635, 16, 93, 'reload', 'reload', NULL),
(636, 16, 93, 'remain', 'uebrig', NULL),
(637, 16, 94, 'type', 'typ', 'forcedtextlink'),
(638, 16, 94, 'id', 'id', NULL),
(639, 16, 94, 'password', 'pw', NULL),
(640, 16, 94, 'reward', 'verguetung', NULL),
(641, 16, 94, 'reload', 'reload', NULL),
(642, 16, 94, 'remain', 'uebrig', NULL),
(643, 16, 95, 'type', 'typ', 'bannerview'),
(644, 16, 95, 'id', 'id', NULL),
(645, 16, 95, 'password', 'pw', NULL),
(646, 16, 95, 'reward', 'verguetung', NULL),
(647, 16, 95, 'reload', 'reload', NULL),
(648, 16, 95, 'remain', 'uebrig', NULL),
(649, 16, 96, 'type', 'typ', 'bannerklick'),
(650, 16, 96, 'id', 'id', NULL),
(651, 16, 96, 'password', 'pw', NULL),
(652, 16, 96, 'reward', 'verguetung', NULL),
(653, 16, 96, 'reload', 'reload', NULL),
(654, 16, 96, 'remain', 'uebrig', NULL),
(655, 16, 97, 'type', 'typ', 'skybannerview'),
(656, 16, 97, 'id', 'id', NULL),
(657, 16, 97, 'password', 'pw', NULL),
(658, 16, 97, 'reward', 'verguetung', NULL),
(659, 16, 97, 'reload', 'reload', NULL),
(660, 16, 97, 'remain', 'uebrig', NULL),
(661, 16, 98, 'type', 'typ', 'buttonview'),
(662, 16, 98, 'id', 'id', NULL),
(663, 16, 98, 'password', 'pw', NULL),
(664, 16, 98, 'reward', 'verguetung', NULL),
(665, 16, 98, 'reload', 'reload', NULL),
(666, 16, 98, 'remain', 'uebrig', NULL),
(667, 16, 99, 'type', 'typ', 'textview'),
(668, 16, 99, 'id', 'id', NULL),
(669, 16, 99, 'password', 'pw', NULL),
(670, 16, 99, 'reward', 'verguetung', NULL),
(671, 16, 99, 'reload', 'reload', NULL),
(672, 16, 99, 'remain', 'uebrig', NULL),
(673, 16, 100, 'type', 'typ', 'popup'),
(674, 16, 100, 'id', 'id', NULL),
(675, 16, 100, 'password', 'pw', NULL),
(676, 16, 100, 'reward', 'verguetung', NULL),
(677, 16, 100, 'reload', 'reload', NULL),
(678, 16, 100, 'remain', 'uebrig', NULL),
(679, 16, 100, 'min_stay', 'ma', NULL),
(680, 16, 101, 'type', 'typ', 'paidmail'),
(681, 16, 101, 'id', 'id', NULL),
(682, 16, 101, 'password', 'pw', NULL),
(683, 16, 101, 'reward', 'verguetung', NULL),
(684, 16, 101, 'reload', 'reload', NULL),
(685, 16, 101, 'remain', 'uebrig', NULL),
(686, 16, 101, 'min_stay', 'ma', NULL)");

		// Request parameters per type handler - Der Werbepartner.cc

		// Request parameters per type handler - Yoo!Media

		// Fix empty defaults to NULL
		addExtensionSql("UPDATE `{?_MYSQL_PREFIX?}_network_types` SET `network_type_banner_url`=NULL WHERE `network_type_banner_url`=''");
		addExtensionSql("UPDATE `{?_MYSQL_PREFIX?}_network_request_params` SET `request_param_default`=NULL WHERE `request_param_default`=''");

		// Admin menu entries
		addAdminMenuSql('network',NULL,'Werbenetzwerke','Verwalten Sie hier Werbenetzwerke (API-Anbindung), versenden Sie deren Mails, oder &uuml;bernehmen Sie deren Textlinks und vieles mehr. <strong>VORSICHT:</strong> Das Einrichten von weiteren Werbenetzwerken ist nicht leicht, daf&uuml;r aber sehr flexibel! Sollte ein Netzwerk fehlen, so melden Sie dies bitte <a href="http://forum.mxchange.org/topic-462.html" target="_blank" title="Direktlink zum Forum">im Forum</a>!',4);
		addAdminMenuSql('network','config_networks','API-Daten','Stellen Sie Ihre Affiliate- Webseiten-Id und API-Passwort ein. Diese erhalten Sie zu &uuml;ber 99% aus dem jeweiligen Zugangsbereich des Anbieters. Sollten Sie bei einem Netzwerk noch nicht angemeldet sein, verwenden Sie bitte meinen Referal-Link.',1);
		addAdminMenuSql('network','config_network_types','Werbearten','Stellen Sie hier Reload-Zeiten, Mindestauffenthalt und so weiter pro Werbeart und Werbenetzwerk ein. Es werden sonst Standart-Werte (Mimimumwerte: 0, Maximumwerte: sehr gross, Erotik: aus) angenommen, die Sie meistens nicht wollen.',2);
		addAdminMenuSql('network','query_networks','APIs abfragen','Fragt alle eingestellten APIs ab. Die Ergebnisse werden dann f&uuml;r einen einstellbaren Zeitraum gecacht und nicht erneut angefordert.',3);
		addAdminMenuSql('network','config_network','Einstellungen','Stellen Sie generelle Einstellungen ein, die f&uuml;r alle Werbenetzwerke gelten, wie z.B. Cache-Erneuerungsinterval. Generell sind aber die Einstellungen in Ordnung, da z.B. sonst Ihre freien Abfragen beim Werbenetzwerk sich zu schnell abbauen.',4);
		addAdminMenuSql('network','list_network_reloads','Reload-Sperren','Listen oder l&ouml;schen Sie hier Reload-Sperren. <strong>Vorsicht:</strong> Die hier gespeicherten Reload-Sperren sind vom jeweiligen Werbenetzwerk &uuml;bernommen. Eventuell verdienen Sie nichts, wenn Sie z.B. eine Mail innerhalb der Reload-Sperre erneut versenden.',5);
		addAdminMenuSql('network','list_networks','Auflisten/Verwalten','<strong>Experten-Einstellungen!</strong> Hier &auml;ndern Sie die Einstellungen an den Grunddaten (Stammdaten) des jeweiligen Werbenetzwerks ab. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.',6);
		addAdminMenuSql('network','list_network_types','Werbearten','<strong>Experten-Einstellungen!</strong> Hier &auml;ndern Sie die Einstellungen zu den Werbearten pro Werbenetzwerken. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.',7);
		addAdminMenuSql('network','list_network_params','Abfrageparameter','<strong>Experten-Einstellungen!</strong> Hier stellen Sie die Abfrageparameter (wie sie genannt werden m&uuml;ssen, um das API-Script korrekt aufrufen zu k&ouml;nnen) ein, pro Werbenetzwerk. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.',8);
		addAdminMenuSql('network','list_network_code_types','R&uuml;ckgabewerte','<strong>Experten-Einstellungen!</strong> Hier stellen Sie die R&uuml;ckgabewerte ein, die im Falle eines Fehlers pro API-Script kommen k&ouml;nnen. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.',9);
		addAdminMenuSql('network','list_network_codes','Fehlercodes','<strong>Experten-Einstellungen!</strong> Hier stellen Sie die Namen von Fehlercodes ein, die Scripte zur&uuml;ckliefern k&ouml;nnen. <strong>Dies sind INTERNE Daten und sollten nur vom Entwicklerteam angepasst werden.</strong> Stellen Sie an diesen Einstellungen bitte nichts um. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.',10);

		// Configuration entries
		addExtensionSql('ALTER TABLE `{?_MYSQL_PREFIX?}_config` ADD `network_cache_refresh` BIGINT(20) UNSIGNED NOT NULL DEFAULT ' . (60 * 15) . '');
		break;

	case 'remove': // Do stuff when removing extension
		// SQL commands to run
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_data`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_types`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_request_params`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_type_codes`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_codes`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_translations`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_array_translation`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_config`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_types_config`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_cache`');
		addExtensionSql('DROP TABLE IF EXISTS `{?_MYSQL_PREFIX?}_network_reloads`');

		// Admin menu
		addExtensionSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_admin_menu` WHERE `action`='network'");
		break;

	case 'activate': // Do stuff when admin activates this extension
		// SQL commands to run
		break;

	case 'deactivate': // Do stuff when admin deactivates this extension
		// SQL commands to run
		break;

	case 'update': // Update an extension
		switch (getCurrentExtensionVersion()) {
			case '0.0.1': // SQL queries for v0.0.1
				addExtensionSql('');

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes('');
				break;
		} // END - switch
		break;

	case 'modify': // When the extension got modified
		break;

	case 'test': // For testing purposes. For details see file inc/modules/admin/what-extensions.php, arround line 305.
		break;

	case 'init': // Do stuff when extension is initialized
		break;

	default: // Unknown extension mode
		logDebugMessage(__FILE__, __LINE__, sprintf("Unknown extension mode %s detected.", getExtensionMode()));
		break;
} // END - switch

// [EOF]
?>
