<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/08/2005 *
 * ===================                          Last change: 01/01/2006 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : gen_mediadata.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Checks for existing mail orders                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Prueft bestehende Mailbuchungen                  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
}

// Init variables
$bsent = '0'; $bclicks = '0'; $bcount = '0';

// Check for normal mails
$result_media = SQL_QUERY('SELECT
	SUM(`max_rec`) AS max_rec,
	SUM(`clicks`) AS clicks
FROM
	`{?_MYSQL_PREFIX?}_user_stats`', __FILE__, __LINE__);
list($nsent, $nclicks) = SQL_FETCHROW($result_media);
if (empty($nsent))   $nsent   = '0';
if (empty($nclicks)) $nclicks = '0';

// Free memory
SQL_FREERESULT($result_media);

// Count mail orders
$ncount = countSumTotalData('', 'user_stats', 'id', '', true);

// Check for bonus extension
if (isExtensionActive('bonus')) {
	// Count bonus mails
	$bcount = countSumTotalData('', 'bonus', 'id', '', true);

	// Check for bonus mails
	$result_media = SQL_QUERY('SELECT SUM(mails_sent) AS bonus_sent, SUM(clicks) AS bonus_clicks
FROM `{?_MYSQL_PREFIX?}_bonus`', __FILE__, __LINE__);
	list($bsent, $bclicks) = SQL_FETCHROW($result_media);
	if (empty($bsent))   $bsent   = '0';
	if (empty($bclicks)) $bclicks = '0';
} // END - if

// Load (maybe) missing file
loadIncludeOnce('inc/libs/mediadata_functions.php');

// Insert info to database
updateMediadataEntry(array('total_send'  , 'normal_send')  , 'init', $nsent);
updateMediadataEntry(array('total_clicks', 'normal_clicks'), 'init', $nclicks);
updateMediadataEntry(array('total_orders', 'normal_orders'), 'init', $ncount);
updateMediadataEntry(array('total_send'  , 'bonus_send' )  , 'init', $bsent);
updateMediadataEntry(array('total_clicks', 'bonus_clicks') , 'init', $bclicks);
updateMediadataEntry(array('total_orders', 'bonus_orders') , 'init', $bcount);

// Aquire total used points
$result = SQL_QUERY('SELECT SUM(`used_points`) AS used_points FROM `{?_MYSQL_PREFIX?}_user_data`', __FILE__, __LINE__);
list($used) = SQL_FETCHROW($result);
SQL_FREERESULT($result);

// ... and total points
$result = SQL_QUERY('SELECT SUM(`points`) AS points FROM `{?_MYSQL_PREFIX?}_user_points`', __FILE__, __LINE__);
list($points) = SQL_FETCHROW($result);
SQL_FREERESULT($result);

// Update database
updateMediadataEntry(array('total_points'), 'init', ($points - $used));

// [EOF]
?>
